Name:          quazip
Version:       1.5
Release:       1mamba
Summary:       Qt/C++ wrapper over minizip
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/stachenov/quazip
Source:        https://github.com/stachenov/quazip.git/v%{version}/quazip-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Core
BuildRequires: libQt6Core
BuildRequires: libbzip2-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt6-qt5compat-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Qt/C++ wrapper over minizip.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Qt/C++ wrapper over minizip

%description -n lib%{name}
Qt/C++ wrapper over minizip.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n lib%{name}-qt6
Group:         System/Libraries
Summary:       Qt/C++ wrapper over minizip for Qt6

%description -n lib%{name}-qt6
Qt/C++ wrapper over minizip.
This package contains shared libraries for %{name}.

%package -n lib%{name}-qt6-devel
Group:         Development/Libraries
Summary:       Development files for %{name}-qt6
Requires:      lib%{name}-qt6 = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-qt6-devel
This package contains libraries and header files for developing applications that use %{name}-qt6.


%prep
%setup -q

%build
%cmake -d build5 \
   -DQUAZIP_QT_MAJOR_VERSION=5

%make
cd ..

%cmake -d build6 \
   -DQUAZIP_QT_MAJOR_VERSION=6

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build5

%makeinstall -C build6

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"



%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libquazip1-qt5.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/QuaZip-Qt5-%{version}
%{_includedir}/QuaZip-Qt5-%{version}/*
%{_libdir}/libquazip1-qt5.so
%dir %{_libdir}/cmake/QuaZip-Qt5-%{version}
%{_libdir}/cmake/QuaZip-Qt5-%{version}/QuaZip-Qt5*.cmake
%{_libdir}/pkgconfig/quazip1-qt5.pc
%doc README.md

%files -n lib%{name}-qt6
%defattr(-,root,root)
%{_libdir}/libquazip1-qt6.so.*
%doc COPYING

%files -n lib%{name}-qt6-devel
%defattr(-,root,root)
%dir %{_includedir}/QuaZip-Qt6-%{version}
%dir %{_includedir}/QuaZip-Qt6-%{version}/quazip/
%{_includedir}/QuaZip-Qt6-%{version}/quazip/*
%dir %{_libdir}/cmake/QuaZip-Qt6-%{version}
%{_libdir}/cmake/QuaZip-Qt6-%{version}/QuaZip-Qt6*.cmake
%{_libdir}/libquazip1-qt6.so
%{_libdir}/pkgconfig/quazip1-qt6.pc

%changelog
* Thu Mar 06 2025 Automatic Build System <autodist@openmamba.org> 1.5-1mamba
- automatic version update by autodist

* Mon Jan 23 2023 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-2mamba
- added -qt6 subpackages

* Sun Apr 17 2022 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Sun Nov 14 2021 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Tue Oct 20 2020 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Mon May 25 2020 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Sun May 03 2020 Automatic Build System <autodist@mambasoft.it> 0.9-1mamba
- automatic version update by autodist

* Thu Aug 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- package created using the webbuild interface
